Bug 250555 - net/asterisk-chan_sccp: add asterisk18 flavor
Summary: net/asterisk-chan_sccp: add asterisk18 flavor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-23 08:17 UTC by Guido Falsi
Modified: 2020-10-27 01:56 UTC (History)
1 user (show)

See Also:
ddegroot: maintainer-feedback+


Attachments
patch to add asterisk18 flavor (1.37 KB, patch)
2020-10-23 08:17 UTC, Guido Falsi
no flags Details | Diff
Update patch (4.21 KB, patch)
2020-10-26 12:19 UTC, Guido Falsi
ddegroot: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guido Falsi freebsd_committer 2020-10-23 08:17:10 UTC
Created attachment 218996 [details]
patch to add asterisk18 flavor

Hi, I just added asterisk18 to the FreeBSD ports tree:

https://svnweb.freebsd.org/ports?view=revision&revision=553096

I'm attaching here a patch to add a flavor for it to the asterisk-chan_sccp port, and related conflicts information.

It builds fine, but I'm unable to test it at runtime.

Can approve this change?

Thanks!
Comment 1 Diederik de Groot 2020-10-23 15:50:18 UTC
@Guido thanks for your patch. I only recently (last week) added support to the autoconf configure script in chan-sccp, so for this patch to work it would also require an update of the source revision (distinfo). Can you include that to the patch, so it will work correctly.
Comment 2 Guido Falsi freebsd_committer 2020-10-24 10:38:19 UTC
(In reply to Diederik de Groot from comment #1)

Not sure I get what you mean.

Do you have a new release of the module and the ports should be updated to it?

Could you provide a patch?
Comment 3 Diederik de Groot 2020-10-24 14:47:52 UTC
(In reply to Guido Falsi from comment #2)

Made a release called "v4.3.2-zeta" for you to refer to

https://github.com/chan-sccp/chan-sccp/releases/tag/v4.3.2-zeta

I think the 'patch-src_define.h' should no longer be required. Would you mind making these changes and check the compilation.
Comment 4 Guido Falsi freebsd_committer 2020-10-26 09:15:28 UTC
(In reply to Diederik de Groot from comment #3)

Thanks for the explanation.

I'm going to look into this.
Comment 5 Guido Falsi freebsd_committer 2020-10-26 12:19:38 UTC
Created attachment 219099 [details]
Update patch

I created an update patch.

I found a few problems, and I'd rather you have a look.

- build now requires gmake, due to usage of .PHONY targets

- Some include files are missing due to use of pthread functions and S_IRUSR (and friends) defines.

I added the includes to common.h. I think that's fine, but you could want to fix it in your repo.

Does this look fine to you?
Comment 6 Diederik de Groot 2020-10-26 12:24:58 UTC
(In reply to Guido Falsi from comment #5)
I will update the upstream repo, so that these will no longer be required in the next release. I will have another look, how to prevent the gmake requirement in the Makefile.

Looks fine to me Guido, thanks !
Comment 7 Diederik de Groot 2020-10-26 12:28:04 UTC
Comment on attachment 219099 [details]
Update patch

Looks perfectly fine.
Comment 8 Diederik de Groot 2020-10-26 17:15:31 UTC
Fixed upsteam repo to make your changes official

https://github.com/chan-sccp/chan-sccp/commit/a61c6d2cecdd149db767307cd71b736e77913251

Fixes the .PHONY issue by including an empty entry for the "force:" case.

If you like i can re-release so the patches are no longer needed or we can re-use the patch as provided above.

(Note the patch provided by Guido, already works)
Comment 9 Guido Falsi freebsd_committer 2020-10-26 19:49:11 UTC
(In reply to Diederik de Groot from comment #8)

Going to import the patch from the github commit, thanks!
Comment 10 commit-hook freebsd_committer 2020-10-26 20:58:53 UTC
A commit references this bug:

Author: madpilot
Date: Mon Oct 26 20:58:33 UTC 2020
New revision: 553385
URL: https://svnweb.freebsd.org/changeset/ports/553385

Log:
  - Update asterisk-chan_sccp to 4.3.2-zeta
  - Import upstream patch to fix build
  - Add flavor for asterisk18

  PR:		250555
  Approved by:	Diederik de Groot <ddegroot@talon.nl> (maintainer)

Changes:
  head/net/asterisk-chan_sccp/Makefile
  head/net/asterisk-chan_sccp/distinfo
  head/net/asterisk-chan_sccp/files/patch-a61c6d2cec
  head/net/asterisk-chan_sccp/files/patch-src_define.h
Comment 11 Guido Falsi freebsd_committer 2020-10-26 21:02:22 UTC
Update committed. Thanks!
Comment 12 Diederik de Groot 2020-10-27 01:56:28 UTC
(In reply to Guido Falsi from comment #11)
Thanks Guido and madpilot !